PKG-FETCH(8)

NAME
pkg fetch - fetch remote packages

SYNOPSIS
pkg fetch [-r reponame] [-dqUy] [-Cgix] pkg-name [...]
pkg fetch [-r reponame] [-o destdir] [-dqUy] -a
pkg fetch [-r reponame] [-dqUy] -u

pkg fetch [--repository reponame] [--output destdir] [--{dependencies,quiet,no-repo-update,yes}] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name [...]
pkg fetch [--repository reponame] [--{dependencies,quiet,no-repo-update,yes}] --all
pkg fetch [--repository reponame] [--{dependencies,quiet,no-repo-update,yes}] --available-updates

DESCRIPTION
pkg fetch is used to download binary packages from a remote repository.

One or more packages, or patterns can be specified.

Package repository catalogues will be automatically updated whenever pkg fetch is run by a user ID with write access to the package database, unless disabled by the -U flag or setting REPO_AUTOUPDATE to NO in pkg.conf(5).

OPTIONS
The following options are supported by pkg fetch:

-a, --all
    Fetch all packages.

-o destdir, --output destdir
    Place files in a sub-directory called All of the specified directory. In this mode, packages are fetched for distribution instead of placing them into the internal cache.

-C, --case-sensitive
    Make the standard or the regular expression (-x) matching against pkg-name case sensitive.

-d, --dependencies
    Fetch the package and its dependencies as well.

-g, --glob
    Treat pkg-name as a shell glob pattern.

-i, --case-insensitive
    Make the standard or regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-q, --quiet
    Quiet mode. Show less output.

-r reponame, --repository reponame
    Fetches packages from the given reponame if multiple repo support is enabled. See pkg.conf(5).

-u, --available-updates
    Fetch all available updates for the currently installed packages.

-U, --no-repo-update
    Suppress the automatic update of the local copy of the repository catalogue from remote. Automatic repository catalogue updates are only attempted when the effective UID of the process has write access to the package database. Otherwise they are silently ignored.

-x, --regex
    Treat pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-y, --yes
    Assume yes when asked for confirmation before fetching packages.

ENVIRONMENT
The following environment variables affect the execution of pkg fetch:

PKG_DBDIR

CASE_SENSITIVE_MATCH

See pkg.conf(5) for additional environment variables that control behaviour.

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)